/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebStepDescription = /*@__PURE__*/ (() => {
    class WebStepDescription extends Description {
        constructor() {
            super();
            this.j = false;
            this.f = false;
            this.l = false;
            this.i = false;
            this.g = false;
            this.m = false;
            this.aa = null;
            this.ab = null;
            this.z = null;
            this.x = 0;
            this.h = false;
            this.k = false;
            this.n = false;
        }
        get_type() {
            return "WebStep";
        }
        get type() {
            return this.get_type();
        }
        get invalid() {
            return this.j;
        }
        set invalid(a) {
            this.j = a;
            this.e("Invalid");
        }
        get active() {
            return this.f;
        }
        set active(a) {
            this.f = a;
            this.e("Active");
        }
        get optional() {
            return this.l;
        }
        set optional(a) {
            this.l = a;
            this.e("Optional");
        }
        get disabled() {
            return this.i;
        }
        set disabled(a) {
            this.i = a;
            this.e("Disabled");
        }
        get complete() {
            return this.g;
        }
        set complete(a) {
            this.g = a;
            this.e("Complete");
        }
        get previousComplete() {
            return this.m;
        }
        set previousComplete(a) {
            this.m = a;
            this.e("PreviousComplete");
        }
        get stepType() {
            return this.aa;
        }
        set stepType(a) {
            this.aa = a;
            this.e("StepType");
        }
        get titlePosition() {
            return this.ab;
        }
        set titlePosition(a) {
            this.ab = a;
            this.e("TitlePosition");
        }
        get orientation() {
            return this.z;
        }
        set orientation(a) {
            this.z = a;
            this.e("Orientation");
        }
        get index() {
            return this.x;
        }
        set index(a) {
            this.x = a;
            this.e("Index");
        }
        get contentTop() {
            return this.h;
        }
        set contentTop(a) {
            this.h = a;
            this.e("ContentTop");
        }
        get linearDisabled() {
            return this.k;
        }
        set linearDisabled(a) {
            this.k = a;
            this.e("LinearDisabled");
        }
        get visited() {
            return this.n;
        }
        set visited(a) {
            this.n = a;
            this.e("Visited");
        }
    }
    WebStepDescription.$t = /*@__PURE__*/ markType(WebStepDescription, 'WebStepDescription', Description.$);
    return WebStepDescription;
})();
